libgdamm Reference Documentation

Main Page Namespaces Book

# datamodel.h File Reference

## Namespaces

namespace | Glib
namespace | Gnome
namespace | Gnome::Gda

## Classes

class | Gnome::Gda::DataModel
| Abstract DataModel (Base class for all DataModels). More...

## Enumerations

enum | Gnome::Gda::DataModelAccessFlags { Gnome::Gda::DATA_MODEL_ACCESS_RANDOM = 1 << 0, Gnome::Gda::DATA_MODEL_ACCESS_CURSOR_FORWARD = 1 << 1, Gnome::Gda::DATA_MODEL_ACCESS_CURSOR_BACKWARD = 1 << 2, Gnome::Gda::DATA_MODEL_ACCESS_INSERT = 1 << 3, Gnome::Gda::DATA_MODEL_ACCESS_UPDATE = 1 << 4, Gnome::Gda::DATA_MODEL_ACCESS_DELETE = 1 << 5, Gnome::Gda::DATA_MODEL_ACCESS_WRITE = 0x8 }

Bitwise operators:
  `DataModelAccessFlags operator|(DataModelAccessFlags, DataModelAccessFlags)`
  `DataModelAccessFlags operator&(DataModelAccessFlags, DataModelAccessFlags)`
  `DataModelAccessFlags operator^(DataModelAccessFlags, DataModelAccessFlags)`
  `DataModelAccessFlags operator~(DataModelAccessFlags)`
  `DataModelAccessFlags& operator|=(DataModelAccessFlags&, DataModelAccessFlags)`
  `DataModelAccessFlags& operator&=(DataModelAccessFlags&, DataModelAccessFlags)`
  `DataModelAccessFlags& operator^=(DataModelAccessFlags&, DataModelAccessFlags)`

More...

enum | Gnome::Gda::DataModelHint { Gnome::Gda::DATA_MODEL_HINT_START_BATCH_UPDATE, Gnome::Gda::DATA_MODEL_HINT_END_BATCH_UPDATE, Gnome::Gda::DATA_MODEL_HINT_REFRESH }
enum | Gnome::Gda::DataModelIOFormat { Gnome::Gda::DATA_MODEL_IO_DATA_ARRAY_XML, Gnome::Gda::DATA_MODEL_IO_TEXT_SEPARATED }

## Functions

DataModelAccessFlags | Gnome::Gda::operator& (DataModelAccessFlags lhs, DataModelAccessFlags rhs)
DataModelAccessFlags& | Gnome::Gda::operator&= (DataModelAccessFlags& lhs, DataModelAccessFlags rhs)
DataModelAccessFlags | Gnome::Gda::operator^ (DataModelAccessFlags lhs, DataModelAccessFlags rhs)
DataModelAccessFlags& | Gnome::Gda::operator^= (DataModelAccessFlags& lhs, DataModelAccessFlags rhs)
DataModelAccessFlags | Gnome::Gda::operator| (DataModelAccessFlags lhs, DataModelAccessFlags rhs)
DataModelAccessFlags& | Gnome::Gda::operator|= (DataModelAccessFlags& lhs, DataModelAccessFlags rhs)
DataModelAccessFlags | Gnome::Gda::operator~ (DataModelAccessFlags flags)